slepc-3.21.1 2024-04-26
Report Typos and Errors

# MFNSetOperator

Sets the matrix for which the matrix function is to be computed.

### Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNSetOperator(MFN mfn,Mat A)

Collective

### Input Parameters

| mfn | - the matrix function context
| A | - the problem matrix

### Notes

It must be called before MFNSetUp(). If it is called again after MFNSetUp() then the MFN object is reset.

### See Also

MFNSolve(), MFNSetUp(), MFNReset()

### Level

beginner

### Location

src/mfn/interface/mfnsetup.c

### Examples

src/eps/tutorials/ex36.c
src/mfn/tutorials/ex23.c
src/mfn/tutorials/ex23f.F90
src/mfn/tutorials/ex26.c
src/mfn/tutorials/ex37.c
src/mfn/tutorials/ex39.c
Index of all MFN routines
Table of Contents for all manual pages
Index of all manual pages